KDE 4.7 PyKDE API Reference

- KDE's Python API

# FileViewWidget Class Reference

`from PyKDE4.marble import *`

Inherits: QWidget → QObject
Namespace: Marble

## Detailed Description

## Signals

| centerOn (Marble.GeoDataPlacemark a0, bool animated)
| centerOn (Marble.GeoDataLatLonBox a0, bool animated)

## Methods

| __init__ (self, QWidget parent=0, Qt::WindowFlags f=0)
| enableFileViewActions (self)

## Signal Documentation

centerOn | ( | Marble.GeoDataPlacemark | a0,
|  | bool | animated
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("centerOn(const Marble::GeoDataPlacemark&, bool)"), target_slot)`

centerOn | ( | Marble.GeoDataLatLonBox | a0,
|  | bool | animated
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("centerOn(const Marble::GeoDataLatLonBox&, bool)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0,
|  | Qt::WindowFlags | f=0
| ) |  |  |

enableFileViewActions | ( |  | self ) |